Autor Zpráva
Filtyn
Profil *
Mám systém XP Profi a snažím se na něm marně rozchodit Apache s podporou php, instaloval sem podle tohoto návodu:
http://radekhulan.cz/item/instalace-php-5-mysql-4-0-a-apache-2-na-wind ows

Samotný Apache se nainstaloval v pořádku, php sem taky nakopíroval do adresáře bez problémů, jenomže problém nastal ve chvíli kdy jsem modifikoval httpd.conf tak že jsem tam přidal následující:
LoadModule php5_module "C:/dev/prog/php5/php5apache2.dll"

Zkusil jsem zapnout apache a ouha, vyskočilo dosácké okno které mi hlásilo že nemůže najít ten soubor php5apache2.dll na zadané adrese... to by nebylo tak divné ale hlavní problém je v tom že ten soubor tam je... tu adresu sem kontroloval asi 10x a i přes to že je správně mi apache hlásí že tam ten soubor nemůže najít....

Zkoušel sem nainstalovat apache 2.0.59 a modifikovat ho stejně jak sem psal nahoře a spuštění proběhlo naprosto bez problémů.... to opravdu nechápu....

takže proč mi to na apache 2.2.4 hodí chybu a na apache 2.0.59 to funguje? :(

Poradil by mi prosím někdo co dělám špatně, nebo jak opravit tu chybu?
moc díky
Joker
Profil
Matně si vzpomínám, ve Windows je nějaký problém s hledáním těch DLL a dá se to vyřešit nakopírováním těch DLL do windows/system nebo tak něco. Kdyžtak mě někdo doplňte/upřesněte. Jen vím, že jsem něco takového dělal a pak to fungovalo.
DoubleThink
Profil *
Zkontroluj si kompatibilitu PHP a Apache. Ne každé verze jdou spojit.

Kromě toho bych dal přednost oficiálním instrukcím pro instalaci (místo evangelií božského Radka). Jinak bys věděl, že pro Apache řady 2.2.* je nutné použít knihovnu php5apache2_2.dll

Pokud i to selže, máš pořád možnost použít PHP jako CGI.

Vaše odpověď


Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: